Bug 13385 - RDA: 508 display in XSLT
Summary: RDA: 508 display in XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Winona Salesky
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 10344 15444
  Show dependency treegraph
 
Reported: 2014-12-03 13:35 UTC by Nicole C. Engard
Modified: 2017-06-14 22:05 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
RDA: Added field 508 in XSLT (2.96 KB, patch)
2015-03-11 02:23 UTC, Winona Salesky
Details | Diff | Splinter Review
[SIGNED OFF] Added field 508 bug #13385 (2.98 KB, patch)
2015-03-25 20:01 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13385: Add field 508 to XSLT (OPAC and staff) (2.96 KB, patch)
2015-04-17 13:57 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-12-03 13:35:47 UTC
The following change should be made to the MARC21 details in the staff and OPAC:

508 Display as Production Credits (full display) Display corresponding subfield a

Example: 

Production Credits: Director of photography, Wally Pfister ; editor, Lee Smith ; music, Hans Zimmer ; production designer, Guy Hendrix Dyas ; costume designer, Jeffrey Kurland ; special effects supervisor, Chris Corbould ; visual effects supervisor, Paul Franklin ; art direction, Luke Freeborn, Brad Ricker, Dean Wolcott ; set decoration, Larry Dias, Doug Mowat ; costume designer, Jeffrey Kurland ; co­producer, Jordan Goldberg ; executive producers, Chris Brigham, Thomas Tull.
Comment 1 Winona Salesky 2015-03-11 02:23:31 UTC Comment hidden (obsolete)
Comment 2 Winona Salesky 2015-03-19 16:53:31 UTC
Test Plan:
1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac search results and record details
3) Find or create a record with MARC tags 508
4) Perform an opac search that would show the record in the search results. 
5) Click title to review record. 
6) Note the fields adds display for 508 subfield a.
7) Repeat steps 4 - 6 for the staff interface
Comment 3 Nick Clemens 2015-03-25 20:01:19 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2015-04-17 13:30:31 UTC
QA: Looking here now.
Comment 5 Marcel de Rooy 2015-04-17 13:57:52 UTC
Created attachment 38070 [details] [review]
Bug 13385: Add field 508 to XSLT (OPAC and staff)

This patch adds field 508 to the XSLT display in the staff and OPAC view.
Display includes subfield a.

To test:
* Search the opac
* Click the title
* Make sure the fields display properly
* Repeat for a few more titles
* Repeat in the Staff Client

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Adjusted commit message. Only subfield a is relevant here.
Comment 6 Tomás Cohen Arazi 2015-04-20 15:07:53 UTC
Patch pushed to master.

Thanks Winona!